none
Server 2012 R2 OS and Windows Server 2016 MP (compatibility) RRS feed

  • Question

  • Hello,

    We are currently running the following (see below).  Is the Windows Server 2016 Management Pack compatible if the OS SCOM is installed on Server 2012 R2?  When trying to pull down the Server 2016 MP from the MS catalog only Core 2016 is listed which makes zero sense.  The link below is for the MP and should do the trick.  Thanks for any clarification that can be provided.

    SCOM 2012 R2 Update Rollup 12 on Server 2012 R2 OS

    https://www.microsoft.com/en-us/download/details.aspx?id=54303
    Thanks,

    Blind
    Wednesday, May 9, 2018 8:43 PM

Answers

  • Yes, it works.
    • Marked as answer by Blindf8th Thursday, May 10, 2018 1:06 PM
    Wednesday, May 9, 2018 8:57 PM
  • >>When trying to pull down the Server 2016 MP from the MS catalog only Core 2016 is listed which makes zero sense.
    1) SCOM 2012 R2 support monitoring Windows Server 2016
    2) latest Windows Server Operating System 2016 and 1709 Plus MP conatins following MP
    Microsoft.Windows.Server.2016.Discovery.mp
    Microsoft.Windows.Server.2016.Monitoring.mp
    Microsoft.Windows.Server.Library.mp
    Microsoft.Windows.Server.ClusterSharedVolumeMonitoring.mp
    Microsoft.Windows.Server.Reports.mp
    Microsoft.Windows.Server.2016.ProcessPortMonitoring.mpb

    Roger

    • Marked as answer by Blindf8th Thursday, May 10, 2018 1:06 PM
    Thursday, May 10, 2018 1:29 AM
  • Hi Blind,

    Yes it (SCOM 2012 R2 ) does support server 2016 for further clarity check this link.

    Does SCOM 2012 R2 support monitoring Windows Server 2016?

    The answer is YES, and we have updated the SCOM 2012 R2 documentation:

    https://technet.microsoft.com/en-us/library/dn281931(v=sc.12).aspx

    When you will download MSI for sever 2016 MP from the given link. It will import MP two MP one for Discovery and other for 2016 server monitoring. But it will create class for all 2016 Nano , Full servers etc.

    Below is some supporting screenshot:-


    https://www.microsoft.com/en-us/download/details.aspx?id=54303

    Hope this helps :)

    Note:- And it really doesn't matter your SCOM 2012 R2 installed on server 2012 or 2008. The only minimum requirement is to monitor server 2016 is SCOM 2012 R2.



    Cheers, Gourav Please remember to mark the replies as answers if it helped.


    • Edited by GouravIN Thursday, May 10, 2018 4:41 AM
    • Marked as answer by Blindf8th Thursday, May 10, 2018 1:06 PM
    Thursday, May 10, 2018 4:39 AM

All replies

  • Yes, it works.
    • Marked as answer by Blindf8th Thursday, May 10, 2018 1:06 PM
    Wednesday, May 9, 2018 8:57 PM
  • >>When trying to pull down the Server 2016 MP from the MS catalog only Core 2016 is listed which makes zero sense.
    1) SCOM 2012 R2 support monitoring Windows Server 2016
    2) latest Windows Server Operating System 2016 and 1709 Plus MP conatins following MP
    Microsoft.Windows.Server.2016.Discovery.mp
    Microsoft.Windows.Server.2016.Monitoring.mp
    Microsoft.Windows.Server.Library.mp
    Microsoft.Windows.Server.ClusterSharedVolumeMonitoring.mp
    Microsoft.Windows.Server.Reports.mp
    Microsoft.Windows.Server.2016.ProcessPortMonitoring.mpb

    Roger

    • Marked as answer by Blindf8th Thursday, May 10, 2018 1:06 PM
    Thursday, May 10, 2018 1:29 AM
  • Hi Blind,

    Yes it (SCOM 2012 R2 ) does support server 2016 for further clarity check this link.

    Does SCOM 2012 R2 support monitoring Windows Server 2016?

    The answer is YES, and we have updated the SCOM 2012 R2 documentation:

    https://technet.microsoft.com/en-us/library/dn281931(v=sc.12).aspx

    When you will download MSI for sever 2016 MP from the given link. It will import MP two MP one for Discovery and other for 2016 server monitoring. But it will create class for all 2016 Nano , Full servers etc.

    Below is some supporting screenshot:-


    https://www.microsoft.com/en-us/download/details.aspx?id=54303

    Hope this helps :)

    Note:- And it really doesn't matter your SCOM 2012 R2 installed on server 2012 or 2008. The only minimum requirement is to monitor server 2016 is SCOM 2012 R2.



    Cheers, Gourav Please remember to mark the replies as answers if it helped.


    • Edited by GouravIN Thursday, May 10, 2018 4:41 AM
    • Marked as answer by Blindf8th Thursday, May 10, 2018 1:06 PM
    Thursday, May 10, 2018 4:39 AM
  • Thank you all for the replies.  Very much appreciated.  

    Blind

    Thursday, May 10, 2018 1:07 PM